%define major 0
%define apiver 0.6
%define libname %mklibname fo %{apiver} %{major}
%define develname %mklibname fo -d

Summary:	XSL formatter
Name:		xmlroff
Version:	0.6.1
Release:	%mkrel 2
License:	BSD-like
Group:		Text tools
URL:		http://xmlroff.org
Source0:	http://xmlroff.org/download/%{name}-%{version}.tar.bz2
BuildRequires:	libglib2-devel
BuildRequires:	libxml2-devel
BuildRequires:	libxslt-devel
BuildRequires:	libcairo-devel
BuildRequires:	freetype2-devel
BuildRequires:	libpango-devel
BuildRequires:	libgdk_pixbuf2.0-devel
BuildRequires:	libgnomeprint2-2-devel
BuildRequires:	libcunit-devel
BuildRequires:	docbook-utils
Requires:	%{libname} = %{version}-%{release}
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
Xmlroff is a fast, free, high-quality, multi-platform XSL 
formatter that aims to excel at DocBook formatting and that 
integrates easily with other programs and with scripting languages.

%package -n %{libname}
Summary:	Shared libraries for %{name}
Group:		System/Libraries
Obsoletes:	%{mklibname fo 0.5 5} < 0.6.0
Obsoletes:	%{mklibname fo 0.6 0} < 0.6.1

%description -n %{libname}
The %{name} XSL formatter library.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		Development/C
Provides:	libfo-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}

%description -n %{develname}
Development files for %{name}.

%prep
%setup -q

%build
%configure2_5x \
	--enable-gp \
	--enable-cairo \
	--disable-static
%make

%install
rm -rf %{buildroot}

%makeinstall_std

%clean
rm -rf %{buildroot}

%if %mdkversion < 200900
%post -n %{libname} -p /sbin/ldconfig
%endif
%if %mdkversion < 200900
%postun -n %{libname} -p /sbin/ldconfig
%endif

%files
%defattr(-,root,root)
%doc NEWS README TODO AUTHORS ChangeLog
%{_bindir}/%{name}
%{_datadir}/xml/libfo-*
%{_datadir}/gtk-doc/html/%{name}

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/*%{apiver}.so.%{major}*

%files -n%{develname}
%defattr(-,root,root)
%dir %{_includedir}/libfo-%{apiver}
%{_includedir}/libfo-%{apiver}/*
%{_libdir}/lib*%{apiver}.la
%{_libdir}/lib*%{apiver}.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Nov 11 2008 Oden Eriksson <oeriksson@mandriva.com> 0.6.1-2mdv2009.1
+ Revision: 302194
- rebuilt against new libxcb

* Sun Oct 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.1-1mdv2009.1
+ Revision: 293004
- update to new version 0.6.1

* Sat Jul 12 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.6.0-1mdv2009.0
+ Revision: 234092
- bump major
- update to new version 0.6.0

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Wed Apr 16 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.5-1mdv2009.0
+ Revision: 194468
- new version
- add missing buildrequires
- new version
- new license policy

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Thu Aug 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.2-1mdv2008.0
+ Revision: 75603
- disable static libraries
- fix file list
- new version

* Sun Jul 15 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.5.1-1mdv2008.0
+ Revision: 52207
- Import xmlroff

